curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria/id/{criteria_id}/versions/{version_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"question": "<string>",
"llm_question": "<string>",
"llm_eval_enabled": true,
"type": "1-5",
"rubric": {},
"multi_select_labels": [
"<string>"
],
"version_number": 123,
"is_deployed": true,
"created_at": 123,
"sample_rate": 123,
"target": {
"target_type": "prompt",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "<string>",
"roles": [
"<string>"
],
"first_name": "<string>",
"last_name": "<string>",
"signup_source": "<string>",
"profile_picture": null,
"profile_color": null
},
"alignment_score": {
"number_correct": 123,
"number_incorrect": 123,
"ratio": 123,
"average_cost": 123
},
"options": [
"<string>"
],
"model_id": null,
"model_name": null,
"position": null,
"is_enabled": true,
"generate_insights": true,
"criteria_description": null,
"references": null,
"allow_multiple_categories": false,
"categories": null,
"eval_code": null,
"language": "python",
"pass_score": "<string>"
}Retrieve a specific evaluation criteria version. Use to inspect version configuration or compare with other versions.
curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria/id/{criteria_id}/versions/{version_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"question": "<string>",
"llm_question": "<string>",
"llm_eval_enabled": true,
"type": "1-5",
"rubric": {},
"multi_select_labels": [
"<string>"
],
"version_number": 123,
"is_deployed": true,
"created_at": 123,
"sample_rate": 123,
"target": {
"target_type": "prompt",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "<string>",
"roles": [
"<string>"
],
"first_name": "<string>",
"last_name": "<string>",
"signup_source": "<string>",
"profile_picture": null,
"profile_color": null
},
"alignment_score": {
"number_correct": 123,
"number_incorrect": 123,
"ratio": 123,
"average_cost": 123
},
"options": [
"<string>"
],
"model_id": null,
"model_name": null,
"position": null,
"is_enabled": true,
"generate_insights": true,
"criteria_description": null,
"references": null,
"allow_multiple_categories": false,
"categories": null,
"eval_code": null,
"language": "python",
"pass_score": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Frozen copy of the old flat EvaluationCriteriaVersionInfo shape for backward-compatible public API.
1-5, 1-3, 1-100, yes-no, multi-select, text, auto-categorization, code-bool, code-float Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
python, typescript